CHRT(1)

NAME
chrt - manipulate real-time attributes of a process

SYNOPSIS
chrt [options] prio command [arg]...
chrt [options] -p [prio] pid

DESCRIPTION

chrt(1) sets or retrieves the real-time scheduling attributes of an existing PID or runs COMMAND with the given attributes. Both policy (one of SCHED_OTHER, SCHED_FIFO, SCHED_RR, or SCHED_BATCH) and priority can be set and retrieved.

The SCHED_BATCH policy is supported since Linux 2.6.16.

OPTIONS

-p, --pid
    operate on an existing PID and do not launch a new task

-b, --batch
    set scheduling policy to SCHED_BATCH

-f, --fifo
    set scheduling policy to SCHED_FIFO

-m, --max
    show minimum and maximum valid priorities, then exit

-o, --other
    set policy scheduling policy to SCHED_OTHER

-r, --rr
    set scheduling policy to SCHED_RR (the default)

-h, --help
    display usage information and exit

-v, --version
    output version information and exit

USAGE

The default behavior is to run a new command::
    chrt prio command [arguments]

You can also retrieve the real-time attributes of an existing task:
    chrt -p pid

Or set them:
    chrt -p prio pid

PERMISSIONS
A user must possess CAP_SYS_NICE to change the scheduling attributes of a process. Any user can retrieve the scheduling information.

AUTHOR
Written by Robert M. Love.

COPYRIGHT
Copyright © 2004 Robert M. Love
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
taskset(1), nice(1), renice(1)

See sched_setscheduler(2) for a description of the Linux scheduling scheme.

AVAILABILITY
The chrt command is part of the util-linux-ng package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.